## About

The ComponentOne WPF RichTextBox provides a complete rich text editor for WPF with a built-in ribbon. It supports HTML and RTF text formats.

![WPF RichTextBox Control](https://raw.githubusercontent.com/GrapeCity/ComponentOne-WPF-Samples/master/Images/WPF_RichTextBox.png "WPF RichTextBox")

Key Features:

- Format text styles, alignment, wrapping, bulleted lists, pictures, tables and hyperlinks
- Users will enjoy revision history, clipboard support, and built-in spell-checking while editing
- Edit documents in either draft view or print layout like Microsoft Word
- Use the included C1RichTextBoxRibbon to provide a complete toolbar UI or create your own toolbar
- The C1RichTextBox control imports and converts RTF and HTML documents to the C1Document model for display & editing
- Supports input for Chinese, Japanese, and Korean languages

Learn more at [developer.mescius.com/componentone/wpf-ui-controls/rich-text-editor-wpf](https://developer.mescius.com/componentone/wpf-ui-controls/rich-text-editor-wpf).

## Resources

- [Samples](https://github.com/GrapeCity/ComponentOne-WPF-Samples)
- [Documentation](https://developer.mescius.com/componentone/docs/wpf/online-richtextbox/overview.html)
- [Licensing](https://developer.mescius.com/componentone/licensing)